Subject: Re: bug#59390: [PATCH 0/5] Doing 'match-record' work at expansion time

From: Ludovic Courtès <[email-masked]>
Date: Fri, 02 Dec 2022 00:07:42 +0100

Ludovic Courtès <[email-masked]> skribis:

> This addresses a longstanding issue: making ‘match-record’ efficient,
> and allowing it to error out on unknown field names at macro-expansion
> time.

I went ahead, rebased, and pushed these:

  00ddf185e6 services: networking: Avoid 'match' on records.
  adfe1064c8 services: base: Use 'match-record' instead of 'match'.
  4c8eea027a home: services: Use 'match-record' instead of 'match'.
  cc9ee514e3 doc: Recommend 'match-record'.
  7c1161dba4 records: 'match-record' checks fields at macro-expansion time.

This change breaks the ABI: we’ll have to run:

  make clean-go && make

Inquiries welcome!

Ludo’.